Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0011801 [DCSS] Bug Report minor always 2018-12-24 13:52 2018-12-26 20:05
Reporter NormalPerson7 View Status public  
Assigned To advil
Priority normal Resolution done  
Status resolved   Product Branch 0.23 stable branch
Summary 0011801: Trying to cast drain life in wizmode crashes the game
Description Crash file:

ASSERT(range >= 0) in 'beam.cc' at line 638 failed. (beam 'drain life', source 'player', item 'none'; has range -1)

Version: Dungeon Crawl Stone Soup 0.23-a0-539-g3f6f39f
Platform: Windows
Bits: 32
Game mode: normal
Tiles: yes

Command line: C:\Users\Asus\Downloads\crawl_tiles-0.23-a0-539\crawl_tiles-0.23-a0-539\crawl.exe

RC options:
restart_after_game = true


Unable to get stack trace on this platform.
Unable to get stack trace on this platform.


Compilation info:
<<<<<<<<<<<
Compiled with GCC 4.9.2 on Dec 7 2018 at 07:37:35
Build platform: x86_64-linux-gnu
Platform: i686-w64-mingw32.static
CFLAGS: -O2 -pipe -DWINMM_PLAY_SOUNDS -D__USE_MINGW_ANSI_STDIO -DUSE_TILE -DUSE_TILE_LOCAL -DUSE_SDL -DUSE_GL -DUSE_FT -DUSE_SOUND -Wall -Wformat-security -Wundef -Wno-array-bounds -Wmissing-declarations -Wredundant-decls -Wno-parentheses -Wwrite-strings -Wshadow -pedantic -Wuninitialized -Iutil -I. -Irltiles -isystem contrib/install/i686-w64-mingw32.static/include/SDL2 -isystem contrib/install/i686-w64-mingw32.static/include/freetype2 -isystem contrib/install/i686-w64-mingw32.static/include -DWIZARD -DASSERTS -DPROPORTIONAL_FONT="dat/tiles/DejaVuSans.ttf" -DMONOSPACED_FONT="dat/tiles/DejaVuSansMono.ttf" -DREGEX_PCRE -DCLUA_BINDINGS
LDFLAGS: -O2
>>>>>>>>>>>

Place info:
branch = 0, depth = 1

Level id: D:1
Level build method = random_map_for_place, level layout type = rooms, absdepth0 = 0
Level vaults:
    minmay_arrival_glassed_features
    layout_basic
    minmay_misc_feat_room
    hangedman_decor_riveting

Markers:
<<<<<<<<<<<<<<<<<<<<<<
Marker #0, type 0 at (34, 42): feature (stone_stairs_up_i)
>>>>>>>>>>>>>>>>>>>>>>

Messages:
<<<<<<<<<<<<<<<<<<<<<<
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
k - a legendary deck of escape; l - a legendary deck of summoning; m - a
n - a legendary deck of summoning; o - an ornate deck of destruction; p - an
q - an ornate deck of escape; r - an ornate deck of escape; s - an ornate deck
u - an ornate deck of summoning; v - an ornate deck of summoning; w - a plain
x - a plain deck of destruction; y - a plain deck of destruction; z - a plain
A - a plain deck of escape; B - a plain deck of summoning; C - a plain deck of
E - a plain deck of summoning
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. A shaft materialises beneath you!
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Walls emerge from the floor!
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb.
The deck of cards glows with a rainbow of weird colours and disappears.
Nothing appears to happen.
You start waiting.
You are feeling hungry.
You start waiting.
The walls disappear!
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Walls emerge from the floor!
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir. You begin rapidly regenerating magic.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud.
The deck of cards glows slightly and disappears.
Nothing appears to happen.
You start waiting.
Done waiting.
You start waiting.
You are feeling very hungry.
You start waiting.
The walls disappear!
Okay, then.
You eat one of the 2 rations. That ration really hit the spot!
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Walls emerge from the floor!
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir. You begin rapidly regenerating magic.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity.
The deck of cards glows slightly and disappears.
Nothing appears to happen.
You start waiting.
Done waiting.
You start waiting.
Done waiting.
You start waiting.
The walls disappear!
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. A shaft materialises beneath you!
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir. You begin rapidly regenerating.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir.
The deck of cards disappears without a trace.
You begin rapidly regenerating magic.
Unknown command.
You start waiting.
Done waiting.
Enter Wizard Command (? - help):
Enter new piety value (current = 200, Enter for 0):
Setting piety to 1.
Enter Wizard Command (? - help):
Enter new piety value (current = 1, Enter for 0):
Setting piety to 200.
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
You can now choose one out of three cards.
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
You can now deal four cards at a time.
Nemelex Xobeh grants you a gift!
Something appears at your feet!
You can now order the top five cards of a deck, losing the rest.
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Okay, then.
Drop what? 27/52 slots (_ for help) (? for menu, Esc to quit)
Okay, then.
Drop what? 27/52 slots (_ for help) (? for menu, Esc to quit)
You drop a legendary deck of summoning. x3
You drop an ornate deck of destruction. x2
You drop an ornate deck of summoning. x4
You drop a plain deck of destruction. x4
You drop a plain deck of summoning. x4
Items here: }}}}}}}}}}}}}}}}}}}}
Items here: }}}}}}}}}}}}}}}}}}}}
k - a legendary deck of destruction; l - a legendary deck of summoning; m - a
n - an ornate deck of destruction; o - an ornate deck of destruction; p - an
q - an ornate deck of escape; r - an ornate deck of escape; s - an ornate deck
u - an ornate deck of summoning; v - a plain deck of destruction; w - a plain
x - a plain deck of destruction; y - a plain deck of destruction; z - a plain
A - a plain deck of escape; B - a plain deck of escape; C - a plain deck of
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. A shaft materialises beneath you!
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Walls emerge from the floor!
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir. You begin rapidly regenerating magic.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir. You begin rapidly regenerating magic.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir. You begin rapidly regenerating magic.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir.
The deck of cards glows slightly and disappears.
You begin rapidly regenerating magic.
You start waiting.
Done waiting.
You start waiting.
The walls disappear!
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Walls emerge from the floor!
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir. You begin rapidly regenerating magic.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir.
The deck of cards glows slightly and disappears.
You begin rapidly regenerating magic.
No previous command to re-do.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir. You begin rapidly regenerating magic.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir. You begin rapidly regenerating magic.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir. You begin rapidly regenerating magic.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb.
The deck of cards glows slightly and disappears.
Nothing appears to happen.
No previous command to re-do.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir. You begin rapidly regenerating magic.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity.
The deck of cards glows slightly and disappears.
Nothing appears to happen.
No previous command to re-do.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud.
The deck of cards glows slightly and disappears.
Nothing appears to happen.
No previous command to re-do.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir. You begin rapidly regenerating magic.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft.
The deck of cards disappears without a trace.
Nothing appears to happen.
No previous command to re-do.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir. You begin rapidly regenerating.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft.
The deck of cards disappears without a trace.
Nothing appears to happen.
No previous command to re-do.
No previous command to re-do.
You start waiting.
Done waiting.
You start waiting.
The walls disappear!
Enter Wizard Command (? - help):
Enter new piety value (current = 200, Enter for 0):
Setting piety to 1.
Enter Wizard Command (? - help):
Enter new piety value (current = 1, Enter for 0):
Setting piety to 200.
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
You can now choose one out of three cards.
Nemelex Xobeh grants you a gift!
Something appears at your feet!
You can now deal four cards at a time.
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
You can now order the top five cards of a deck, losing the rest.
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
p - a plain deck of escape; q - a plain deck of escape
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. A shaft materialises beneath you!
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft.
The deck of cards disappears without a trace.
Nothing appears to happen.
No previous command to re-do.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir. You begin rapidly regenerating.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Walls emerge from the floor!
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Walls emerge from the floor!
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb.
The deck of cards disappears without a trace.
Nothing appears to happen.
No previous command to re-do.
You start waiting.
The walls disappear!
You start waiting.
Done waiting.
Enter Wizard Command (? - help):
Enter new piety value (current = 200, Enter for 0):
Setting piety to 1.
Enter Wizard Command (? - help):
Enter new piety value (current = 1, Enter for 0):
Setting piety to 200.
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
You can now choose one out of three cards.
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
You can now deal four cards at a time.
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
You can now order the top five cards of a deck, losing the rest.
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Nemelex Xobeh grants you a gift!
Something appears at your feet!
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Drop what? 23/52 slots (_ for help) (? for menu, Esc to quit)
You drop a legendary deck of destruction.
You drop a legendary deck of summoning. x2
You drop an ornate deck of destruction. x2
You drop an ornate deck of summoning.
You drop a plain deck of destruction. x5
You drop a plain deck of summoning. x2
Items here: }}}}}}}}}}}}}}}}}}
k - a legendary deck of destruction; l - a legendary deck of summoning; m - an
n - an ornate deck of escape; o - an ornate deck of summoning; p - an ornate
q - an ornate deck of summoning; r - an ornate deck of summoning; s - a plain
t - a plain deck of destruction; u - a plain deck of destruction; v - a plain
w - a plain deck of destruction; x - a plain deck of escape; y - a plain deck
A - a plain deck of summoning; B - a plain deck of summoning
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Illusion. Suddenly you stand beside yourself.
Unknown command.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. A shaft materialises beneath you!
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir. You begin rapidly regenerating magic.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Elixir. You begin rapidly regenerating magic.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity.
The deck of cards glows slightly and disappears.
Unacrul's illusion seems to speed up.
No previous command to re-do.
No previous command to re-do.
You start waiting.
You are feeling hungry.
You start waiting.
Unacrul's illusion disappears in a puff of smoke!
Done waiting.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb.
You hear a splash.
Walls emerge from the floor!
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is Velocity. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Tomb. Walls emerge from the floor!
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Cloud. Nothing appears to happen.
Evoke which item? (* to show all) (? for menu, Esc to quit)
You draw a card... It is the Shaft.
The deck of cards disappears without a trace.
Nothing appears to happen.
No previous command to re-do.
No previous command to re-do.
No previous command to re-do.
Unknown command.
You start waiting.
The walls disappear!
Evoke which item? (* to show all) (? for menu, Esc to quit)
Okay, then.
Unknown command.
Enter Wizard Command (? - help):
Okay, then.
Unknown command.
Enter Wizard Command (? - help):
(Un)curse which item? (? for menu, Esc to quit)
Okay, then.
Unknown command.
Enter Wizard Command (? - help):
Which card?
You have drawn Exile.
To return, you must find a gate leading back.
Killing monsters will force the Abyss to allow you passage.
This branch contains the abyssal rune of Zot.
Found a ration.
Found a gateway leading deeper into the Abyss.
Unknown command.
Enter Wizard Command (? - help):
(D) Dungeon (T) Temple (L) Lair (S) Swamp
(A) Shoals (P) Snake Pit (N) Spider Nest (M) Slime Pits
(O) Orcish Mines (E) Elven Halls (K) Dwarven Hall (V) Vaults
(B) Hall of Blades (F) Forest (C) Crypt (W) Tomb
(U) Depths (H) Hell (I) Dis (G) Gehenna
(X) Cocytus (Y) Tartarus (Z) Zot (J) Abyss
(R) Pandemonium (Q) Ziggurat (0) Labyrinth (1) Bazaar
(2) Trove (3) Sewer (4) Ossuary (5) Bailey
(6) Ice Cave (7) Volcano (8) Wizlab (9) Desolation
(!) Gauntlet
Where to? (? - help)
What level of the Dungeon? (default 1, ? - help)
Found a stone staircase leading down.
Unknown command.
Unknown command.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Evoke which item? (* to show all) (? for menu, Esc to quit)
Okay, then.
Unknown command.
Enter Wizard Command (? - help):
Which card?
You have drawn Exile.
To return, you must find a gate leading back.
Killing monsters will force the Abyss to allow you passage.
This branch contains the abyssal rune of Zot.
Found 17 stones and a grey potion.
Describe a (M)onster, (S)pell, s(K)ill, (A)bility, (C)ard, (I)tem, (F)eature,
Describe a card; partial names and regexps are fine.
Describe a (M)onster, (S)pell, s(K)ill, (A)bility, (C)ard, (I)tem, (F)eature,
Okay, then.
Describe a (M)onster, (S)pell, s(K)ill, (A)bility, (C)ard, (I)tem, (F)eature,
Describe a item; partial names and regexps are fine. Enter a single letter to
Describe a (M)onster, (S)pell, s(K)ill, (A)bility, (C)ard, (I)tem, (F)eature,
Okay, then.
Enter Wizard Command (? - help):
(D) Dungeon (T) Temple (L) Lair (S) Swamp
(A) Shoals (P) Snake Pit (N) Spider Nest (M) Slime Pits
(O) Orcish Mines (E) Elven Halls (K) Dwarven Hall (V) Vaults
(B) Hall of Blades (F) Forest (C) Crypt (W) Tomb
(U) Depths (H) Hell (I) Dis (G) Gehenna
(X) Cocytus (Y) Tartarus (Z) Zot (J) Abyss
(R) Pandemonium (Q) Ziggurat (0) Labyrinth (1) Bazaar
(2) Trove (3) Sewer (4) Ossuary (5) Bailey
(6) Ice Cave (7) Volcano (8) Wizlab (9) Desolation
(!) Gauntlet
Where to? (? - help)
What level of the Dungeon? (default 1, ? - help)
The rat moves out of view.
Enter Wizard Command (? - help):
Unknown command.
Unknown command.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Evoke which item? (* to show all) (? for menu, Esc to quit)
Okay, then.
Enter Wizard Command (? - help):
Which card?
You have drawn Exile.
The rat is devoured by a tear in reality.
You cannot train any new skills!
The rat is devoured by a tear in reality. x4
Unknown command.
Unknown command.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
A rat comes into view.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Found no space to place monster.
Enter Wizard Command (? - help):
Which card?
You have drawn Exile.
The rat is devoured by a tear in reality. x4
There are monsters nearby!
Enter Wizard Command (? - help):
Which card?
You have drawn Exile.
To return, you must find a gate leading back.
Killing monsters will force the Abyss to allow you passage.
This branch contains the abyssal rune of Zot.
Found a scroll labeled SIMUPH DOMU and 18 stones.
Enter Wizard Command (? - help):
(D) Dungeon (T) Temple (L) Lair (S) Swamp
(A) Shoals (P) Snake Pit (N) Spider Nest (M) Slime Pits
(O) Orcish Mines (E) Elven Halls (K) Dwarven Hall (V) Vaults
(B) Hall of Blades (F) Forest (C) Crypt (W) Tomb
(U) Depths (H) Hell (I) Dis (G) Gehenna
(X) Cocytus (Y) Tartarus (Z) Zot (J) Abyss
(R) Pandemonium (Q) Ziggurat (0) Labyrinth (1) Bazaar
(2) Trove (3) Sewer (4) Ossuary (5) Bailey
(6) Ice Cave (7) Volcano (8) Wizlab (9) Desolation
(!) Gauntlet
Where to? (? - help)
Okay, then.
Unknown command.
Enter Wizard Command (? - help):
(D) Dungeon (T) Temple (L) Lair (S) Swamp
(A) Shoals (P) Snake Pit (N) Spider Nest (M) Slime Pits
(O) Orcish Mines (E) Elven Halls (K) Dwarven Hall (V) Vaults
(B) Hall of Blades (F) Forest (C) Crypt (W) Tomb
(U) Depths (H) Hell (I) Dis (G) Gehenna
(X) Cocytus (Y) Tartarus (Z) Zot (J) Abyss
(R) Pandemonium (Q) Ziggurat (0) Labyrinth (1) Bazaar
(2) Trove (3) Sewer (4) Ossuary (5) Bailey
(6) Ice Cave (7) Volcano (8) Wizlab (9) Desolation
(!) Gauntlet
Where to? (? - help)
What level of the Dungeon? (default 1, ? - help)
The rat moves out of view. x13
You are feeling very hungry.
The helpless rat fails to defend itself.
You carve the rat like a ham!!!!
You kill the rat!
The helpless rat fails to defend itself.
You slice the rat like a ripe choko!!!
You kill the rat!
The rat closely misses you.
You slash the rat!
You kill the rat!
You slice the rat!!
You kill the rat!
You slice the rat!!
You kill the rat!
You slash the rat!
You kill the rat!
The rat completely misses you.
You see here a rat corpse.
The rat bites you but does no damage.
You see here a rat corpse.
The rat completely misses you. The rat misses you.
You hit the rat.
You kill the rat!
You hit the rat but do no damage. The rat blinks! You slash the rat!
You kill the rat!
You closely miss the rat. You hit the rat.
You kill the rat!
The rat barely misses you.
You slice the rat!!
You kill the rat!
You slice the rat!!
You kill the rat!
You slice the rat!!
You kill the rat!
You slash the rat!
You kill the rat!
You completely miss the rat. The rat completely misses you.
The rat misses you.
You see here a rat corpse.
You slice the rat!!
You kill the rat!
You closely miss the rat. You slice the rat!!
You kill the rat!
The helpless rat fails to defend itself.
You carve the rat like a ham!!!!
You kill the rat!
The helpless rat fails to defend itself.
You carve the rat like a ham!!!
You kill the rat!
The rat bites you but does no damage.
The rat misses you. x2
You see here a rat corpse.
The rat completely misses you.
The rat misses you.
The rat twitches its whiskers.
The rat misses you.
The rat completely misses you. The rat closely misses you.
You cut the rat into ribbons!!!
You kill the rat!
You completely miss the rat. You closely miss the rat. You slice the rat!!
You kill the rat!
You slash the rat!
You kill the rat!
You hit the rat.
You kill the rat!
The rat completely misses you. x2
The rat completely misses you.
You see here a rat corpse.
You slice the rat!!
You kill the rat!
You slash the rat!
You kill the rat!
You see here a rat corpse.
You butcher the rat corpse.
n - a chunk of flesh
You see here a rat skeleton.
You see here a rat corpse.
You butcher the rat corpse.
n - 2 chunks of flesh (gained 1)
You see here a rat skeleton.
There isn't anything here!
You see here a rat corpse.
Eating one of 2 chunks of flesh. You eat one of the 2 chunks of flesh. This raw
Okay, then.
Unknown command.
You butcher the rat corpse.
n - 2 chunks of flesh (gained 1)
You see here a rat skeleton.
Okay, then.
You see here a rat corpse.
You butcher the rat corpse.
n - 3 chunks of flesh (gained 1)
You see here a rat skeleton.
You see here a rat corpse.
You butcher the rat corpse.
n - 4 chunks of flesh (gained 1)
You see here a rat skeleton.
There isn't anything to butcher here.
You see here a rat corpse.
You butcher the rat corpse.
n - 5 chunks of flesh (gained 1)
You see here a rat skeleton.
Unknown command.
Unknown command.
Describe a (M)onster, (S)pell, s(K)ill, (A)bility, (C)ard, (I)tem, (F)eature,
Okay, then.
Describe a (M)onster, (S)pell, s(K)ill, (A)bility, (C)ard, (I)tem, (F)eature,
Describe a (M)onster, (S)pell, s(K)ill, (A)bility, (C)ard, (I)tem, (F)eature,
Okay, then.
Casting: Passwall (safe; 0% risk of failure)
Confirm with . or Enter, or press ? or * to list all spells.
Okay, then.
Enter Wizard Command (? - help):
Cast which spell?
A film of ice covers your body!
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
An orb of fire comes into view.
What are your orders?
 t - Shout!
Orders for allies: a - Attack new target.
                   r - Retreat! s - Stop attacking.
                   g - Guard the area. f - Follow me.
 Anything else - Cancel.
You shout for attention!
The orb of fire glows deep purple.
The bolt of fire hits you!
The heat melts your icy armour.
Enter Wizard Command (? - help):
What monsters to dismiss (ENTER for all, "harmful", "mobile", "los" or a regex,
Dismissed 17 monsters.
Enter Wizard Command (? - help):
Enter monster name (or MONS spec):
Okay, then.
Your icy armour cracks and falls away as you move.
Unknown command.
Unknown command.
Unknown command.
Unknown command.
Enter Wizard Command (? - help):
Okay, then.
Unknown command.
Enter Wizard Command (? - help):
Create which feature?
You see here a rat skeleton.
Enter Wizard Command (? - help):
Create which feature?
You hear a sizzling splash.
Unknown command.
Why would you want to do that?
Why would you want to do that?
Enter Wizard Command (? - help):
) - weapons ( - missiles [ - armour / - wands ? - scrolls
= - jewellery ! - potions : - books | - staves } - miscellany
X - corpses % - food $ - gold 0 - the Orb
ESC - exit
What class of item? [
What type of item? boots
+0 pair of boots
What ego type? fly
+0 pair of boots of flying
Something appears at your feet!
x - a +0 pair of boots of flying
Wear which item? (? for menu, Esc to quit)
You start putting on your armour.
You continue putting on your +0 pair of boots of flying. x4
You finish putting on your +0 pair of boots of flying.
You fly up into the air.
(use the ability menu to stop or start flying)
Unknown command.
Unknown command.
You see here a rat skeleton.
Enter Wizard Command (? - help):
Cast which spell?
You turn into a fearsome dragon!
Your +2 executioner's axe of distortion {!w} melds into your body.
Your +0 pair of boots of flying melds into your body.
Your +0 scale mail melds into your body.
You can't survive in this terrain! You fly above the lava, but the process is
You start waiting.
Careful! Your transformation is almost over.
Your transformation has ended.
Your +2 executioner's axe of distortion {!w} unmelds from your body.
Your +0 pair of boots of flying unmelds from your body.
Your +0 scale mail unmelds from your body.
Space warps around you for a moment! You fly up into the air.
Enter Wizard Command (? - help):
Cast which spell?

>>>>>>>>>>>>>>>>>>>>>>

Version history:
Game started: 0.23-a0-539-g3f6f39f

Game state:

mouse_enabled: 0, waiting_for_command: 0, terminal_resized: 0
io_inited: 1, need_save: 1, saving_game: 0, updating_scores: 0:
seen_hups: 0, map_stat_gen: 0, type: 1, arena_suspended: 0

prev_cmd = CMD_WIZARD
repeat_cmd = CMD_NO_CMD

Player:
{{{{{{{{{{{
Name: [Unacrul]
Species: Hill Orc
Job: Fighter

HP: 259/259; mods: -14/0
MP: 54/54; mod: 0
Stats: 17 (17) 7 (8) 11 (11)
Position: (49, 46), god: Nemelex Xobeh (11), turn_is_over: 0, banished: 0
Standing on/in/over feature: some lava

Skills (mode: manual)
Name | can_train | train | training | level | points | progress
Fighting | X | 0 | 0 | 27 | 21036 | 0/0
Short Blades | | 0 | 0 | 27 | 29750 | 0/0
Long Blades | | 0 | 0 | 27 | 25016 | 0/0
Axes | X | 0 | 0 | 27 | 17689 | 0/0
Maces & Flails | | 0 | 0 | 27 | 25016 | 0/0
Polearms | | 0 | 0 | 27 | 25016 | 0/0
Staves | | 0 | 0 | 27 | 35378 | 0/0
Slings | | 0 | 0 | 27 | 35378 | 0/0
Bows | | 0 | 0 | 27 | 35378 | 0/0
Crossbows | | 0 | 0 | 27 | 35378 | 0/0
Throwing | X | 0 | 0 | 27 | 35378 | 0/0
Armour | X | 0 | 0 | 27 | 25016 | 0/0
Dodging | X | 0 | 0 | 27 | 42072 | 0/0
Stealth | X | 0 | 0 | 27 | 35378 | 0/0
Shields | | 0 | 0 | 27 | 25016 | 0/0
Unarmed Combat | X | 0 | 0 | 27 | 25016 | 0/0
Spellcasting | X | 0 | 0 | 27 | 50033 | 0/0
Conjurations | | 0 | 0 | 27 | 29750 | 0/0
Hexes | | 0 | 0 | 27 | 29750 | 0/0
Charms | | 0 | 0 | 27 | 35378 | 0/0
Summonings | | 0 | 0 | 7 | 1621 | 221/400
Necromancy | | 0 | 0 | 27 | 29750 | 0/0
Translocations | | 0 | 0 | 27 | 42072 | 0/0
Transmutations | X | 0 | 0 | 27 | 50033 | 0/0
Fire Magic | | 0 | 0 | 27 | 25016 | 0/0
Ice Magic | | 0 | 0 | 27 | 35378 | 0/0
Air Magic | | 0 | 0 | 27 | 42072 | 0/0
Earth Magic | X | 0 | 0 | 27 | 29750 | 0/0
Poison Magic | | 0 | 0 | 27 | 35378 | 0/0
Invocations | X | 0 | 0 | 27 | 17689 | 0/0
Evocations | X | 0 | 0 | 27 | 29750 | 0/0

Spell bugs:

Durations:

Attributes:
    0000022: 1
    0000023: 4665
    0000024: 372550875
    #27: 41678
    0000049: 1822
    0000059: 1
    0000061: 42

Mutations:

Inventory bugs:

Equipment:
    eq slot #0, inv slot 0000004: +2 executioner's axe of distortion {!w}
    eq slot 0000004, inv slot 0000023: +0 pair of boots of flying
    eq slot 0000006, inv slot #1: +0 scale mail

}}}}}}}}}}}


Screenshot:
....##### ...###..#
....#...# ........#######
....#.8.# ####>.......
....#...# #....#######
....##### #....#
......... #....#
......... #....#
.<........ #....#
.......... #....#
.......... #....#
....#####.######?...####.#
....#...#.......@÷........
....#.8.##.....÷....####.#
....#...#.....÷.#####
....#####..÷÷..†#
    ...##.......#
    ## #.####.##
        #. #.#
        #. #.#
        # #.#
             #.#
             #.#

clua stack:


dlua stack:


Lua persistent data:
<<<<<<<<<<<<<<<<<<<<<<
>>>>>>>>>>>>>>>>>>>>>>

Lua marker contents:
<<<<<<<<<<<<<<<<<<<<<<
>>>>>>>>>>>>>>>>>>>>>>
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0032871)
NormalPerson7 (reporter)
2018-12-24 13:53
edited on: 2018-12-24 17:50

Perhaps including the crash file in the description wasn't the best idea so sorry about that. I also forgot to mention that this occurs when using the &z command with no monsters in sight (there should probably be a check in the drain_life spell function to deal with this).

(0032879)
advil (administrator)
2018-12-26 20:05

Fixed via https://github.com/crawl/crawl/commit/b80182b6c87c [^]

- Issue History
Date Modified Username Field Change
2018-12-24 13:52 NormalPerson7 New Issue
2018-12-24 13:53 NormalPerson7 Note Added: 0032871
2018-12-24 17:50 NormalPerson7 Note Edited: 0032871
2018-12-26 20:05 advil Note Added: 0032879
2018-12-26 20:05 advil Status new => resolved
2018-12-26 20:05 advil Fixed in Branch => 0.23 development branch
2018-12-26 20:05 advil Resolution open => done
2018-12-26 20:05 advil Assigned To => advil


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker